import type { StandardizedMessage } from '../../../conversion/hub/types/standardized.js';
import type { RoutingInstruction } from './types.js';
export declare function parseRoutingInstructions(messages: StandardizedMessage[]): RoutingInstruction[];
export declare function parseAndPreprocessRoutingInstructions(messages: StandardizedMessage[]): RoutingInstruction[];
export declare function extractClearInstruction(messages: StandardizedMessage[]): boolean;
export declare function extractStopMessageClearInstruction(messages: StandardizedMessage[]): boolean;
